%define upstream_name	 Youri-Package-RPM-Updater
%define upstream_version 0.6.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Update RPM packages
License:    GPL+ or Artistic
Group:      Development/Other
Url:        http://youri.zarb.org
Source0:     http://youri.zarb.org/download/%{upstream_name}-%{upstream_version}.tar.gz

# (tv) temporary disabled due to missing perl-SVN with new perl:
#BuildRequires:	perl(SVN::Client)

BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Readonly)
BuildRequires: perl(SVN::Client)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(YAML::AppConfig)
BuildRequires: perl(Youri::Package) >= 0.2.0
BuildRequires: perl(version)
BuildRequires: perl-version
Requires:   perl-version
BuildArch:  noarch

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This module updates rpm packages. When given an explicit new version, it
updates the spec file, and downloads new sources automatically. When not given
a new version, it just updates the spec file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# (tv) temporary disabled due to missing perl-SVN with new perl:
#%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes META.yml README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog
* Sun Mar 06 2011 guillomovitch <guillomovitch> 0.6.1-1.mga1
+ Revision: 65634
- new version

* Sat Feb 26 2011 jquelin <jquelin> 0.6.0-1.mga1
+ Revision: 60571
- update to 0.6.0

* Mon Jan 24 2011 jquelin <jquelin> 0.5.2-3.mga1
+ Revision: 36720
- mageia rebuild
- imported package perl-Youri-Package-RPM-Updater


* Wed Jul 21 2010 Thierry Vignaud <tv@mandriva.org> 0.5.2-3mdv2011.0
+ Revision: 556539
- temporary disable BR: perl-SVN & test suite due to missing perl-SVN with new perl
- rebuild for new perl

* Wed Dec 02 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.2-1mdv2010.1
+ Revision: 472562
- new version
- new version

* Sat Nov 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-1mdv2010.1
+ Revision: 468566
- new version

* Fri Jul 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.7-1mdv2010.0
+ Revision: 391956
- new version

* Tue Jun 02 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.6-1mdv2010.0
+ Revision: 382288
- new version

* Mon May 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.5-1mdv2010.0
+ Revision: 377350
- new version

* Thu May 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.4-1mdv2010.0
+ Revision: 373065
- new version

* Tue Jan 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 325397
- new vesion

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.4.2-2mdv2009.0
+ Revision: 268887
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.2-1mdv2009.0
+ Revision: 196539
- new  version

* Sun Feb 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.1-1mdv2008.1
+ Revision: 169415
- new version
- spec cleanup
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 0.3.4-2mdv2008.1
+ Revision: 109318
- rebuild

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.4-1mdv2008.1
+ Revision: 104482
- new version

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.3-1mdv2008.0
+ Revision: 85914
- new version

* Fri Jul 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.2-1mdv2008.0
+ Revision: 56246
- new version

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-1mdv2008.0
+ Revision: 55811
- new version

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 55805
- new version

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-1mdv2008.0
+ Revision: 46763
- new version

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 46299
- new version

* Wed Apr 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2008.0
+ Revision: 18364
- new version

* Mon Apr 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-2mdv2008.0
+ Revision: 17230
- force dependency on perl-version

* Sun Apr 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-1mdv2008.0
+ Revision: 17042
- Import perl-Youri-Package-RPM-Updater



* Sun Apr 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-1mdv2008.0
- first mdv release 
